> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/56.-ikelti-nuotraukas.md).

# 56. Įkelti nuotraukas

Nuotraukos įkėlimas per S3 susideda iš 2 žingsnių:

1. **Užklauskite išankstinį pasirašytą nuorodą tiesioginiam įkėlimui.**&#x20;

Kaip įvestis:&#x20;

* fileExtention - jpeg ARBA jpg ARBA png,&#x20;
* farmUuid - ūkio uuid,
* fieldUuid - lauko uuid,
* noteUuid - pastabos uuid tiesioginei įkeltos nuotraukos nuorodai,
* commentUuid - komentaro uuid tiesioginei įkeltos nuotraukos nuorodai (neprivaloma).&#x20;

Kaip išvestis:

* uuid - laukiamas uuid po įkėlimo ir apdorojimo,
* farmUuid - toks pat kaip įvestyje,
* fieldUuid - toks pat kaip įvestyje,
* noteUuid - toks pat kaip įvestyje,
* commentUuid - toks pat kaip įvestyje (jei egzistavo),
* s3Url - URL, naudojamas nuotraukai įkelti,
* s3Fields - atributai, kuriuos reikia perduoti nuotraukos įkėlimo formoje.

Išsamios s3Url ir s3Fields naudojimo instrukcijos aprašytos antrame žingsnyje.&#x20;

Atributai galioja tik 60 minučių nuotraukai įkelti.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Išsiųskite vietinę nuotrauką į s3Url su iš anksto nustatytais formos atributais iš s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Pranešimai apie apdorojimą bus pristatyti per prenumeratos mechanizmą, aprašytą GraphQL -> Pavyzdžiai -> [1. Prenumerata: Gauti įvykius](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/1.-prenumerata-gauti-ivykius.md).

{% hint style="info" %}
Naudokite ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/56.-ikelti-nuotraukas.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
